# Class Terrain

- Defined in src/data/terrain.ts:17

#####
Index

### Constructors

constructor

### Properties

terrainType
turnsLeft

### Methods

getAttackTypeMultiplier
isMoveTerrainCancelled
lapse

## Constructors

### constructor

- new Terrain(terrainType, turnsLeft?): Terrain

- #### Parameters

  - terrainType: TerrainType
  - `Optional` turnsLeft: number

  #### Returns Terrain

  - Defined in src/data/terrain.ts:21

## Properties

### terrainType

terrainType: TerrainType

- Defined in src/data/terrain.ts:18

### turnsLeft

turnsLeft: number

- Defined in src/data/terrain.ts:19

## Methods

### getAttackTypeMultiplier

- getAttackTypeMultiplier(attackType): number

- #### Parameters

  - attackType: Type

  #### Returns number

  - Defined in src/data/terrain.ts:34

### isMoveTerrainCancelled

- isMoveTerrainCancelled(user, targets, move): boolean

- #### Parameters

  - user: default
  - targets: BattlerIndex []
  - move: default

  #### Returns boolean

  - Defined in src/data/terrain.ts:56

### lapse

- lapse(): boolean

- #### Returns boolean

  - Defined in src/data/terrain.ts:26